all: \
	build/hypervisor/efi/fedora-hypervisor.zst \
	build/hypervisor/bios/fedora-hypervisor.zst

fedora-version = 39
fedora-iso-version= 1.5
fedora-release-url = https://dl.fedoraproject.org/pub/fedora/linux/releases/$(fedora-version)/Server/x86_64/iso
fedora-archive-url = https://dl.fedoraproject.org/pub/archive/fedora/linux/releases/$(fedora-version)/Server/x86_64/iso
fedora-iso = Fedora-Server-netinst-x86_64-$(fedora-version)-$(fedora-iso-version).iso
fedora-ks = http/hypervisor/anaconda-ks.cfg

iso/$(fedora-iso):
	mkdir -p iso
	curl -Lf $(fedora-release-url)/$(fedora-iso) -o $@ \
		|| curl -Lf $(fedora-archive-url)/$(fedora-iso) -o $@

# XXX: shrink breaks when building f39 images on f38,
#      as e2fsck's capabilities have changed
#      for now, don't bother shrinking until everything is on f39
build/hypervisor/%/fedora-hypervisor.zst: hypervisor-%.json iso/$(fedora-iso) $(fedora-ks)
	$(call packernoshrink,build/hypervisor/$*,fedora-hypervisor)

.PHONY: clean
clean:
	rm -rf build
	rm -f *.json

include ../util.mk
